# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]
### Changed
- use make-available API for `activate_resource` which handles corner cases more benign.

## 8.1.1 - 2025-04-10
### Added
- Support for APIVER11

## 8.1.0 - 2025-01-22
### Fixed
- thin clones: properly set `sparseinit` feature

## 8.0.4 - 2024-07-16
### Fixed
- Allow names as generated by backup fleecing
- Fix backup size issues with EFI disks
- Keep tie-breaker in "double delete" scenarios

## 8.0.3 - 2024-06-13
### Fixed
- Allow names as generated by proxmox-csi-plugin

## 8.0.2 - 2024-05-06
### Fixed
- Snapshots including RAM

## 8.0.1 - 2024-04-18
### Fixed
- cloud-init images on diskless nodes

## 8.0.0 - 2024-04-17
### Changed
- include diskless assignments in the GUI's "VM Disks"
- set 'allow-two-primaries' in RD creation (requires LINSTOR >= 1.27.0)
### Added
- allow renaming of volumes
- allow online moving of storage (e.g., LVM) to DRBD

## [7.0.1] - 2023-06-15
### Fixed
- Performance regression (querying the LINSTOR controller too often) on status calls (requires LINSTOR >= 1.23.0)

## [7.0.0] - 2023-04-12
### Changed
- switch to cluster wide storage view instead of node-local view (requires LINSTOR >= 1.21.1)
- depend on a recent enough LINSTOR version (we depend on the satellite, but require the controller API)

## [6.1.0] - 2022-10-11
### Added
- Properly handle multiple storage pools in one resource group. This allows to confine failure domains to a single back-end device as described [here](https://linbit.com/drbd-user-guide/linstor-guide-1_0-en/#s-a_storage_pool_per_backend_device).

## [6.0.1] - 2022-07-12
### Fixed
- Container clone from snapshot: only create "temporary" DRBD volume if necessary; remove this temporary DRBD resource when the snapshot gets removed.

## [6.0.0] - 2022-06-28
### Removed
- `redundancy`: The setting was unused since a long time (i.e., when we introduced LINSTOR resource groups). Remove some leftover dead code.
- `controllervm`: Should not be used any longer, please use `drbd-reactor::promoter` to set up a [HA LINSTOR Controller](https://linbit.com/drbd-user-guide/linstor-guide-1_0-en/#s-linstor_ha)

### Changed
- default for `statuscache`: This was set to `0` (i.e., disabled) by default. Enable this cache by default and set it to 1 Minute.
- default for `preferlocal`: Set default to `yes`.

## [5.2.2] - 2021-11-18
### Added
- Support for APIVER10

## [5.2.1] - 2021-07-29
### Added
- Support for APIVER9

## [5.2.0] - 2021-07-08
### Added
- Allow https communication to the API via `apicrt`, `apikey`, `apica`
### Fixed
- UEFI disks on ZFS

## [5.1.6] - 2021-06-17
### Added
- Set User-Agent to `linstor-proxmox/$version`
- Add `statuscache` storage.cfg option

## [5.1.5] - 2021-02-17
### Added
- Support for multiple LINSTOR controllers

## [5.1.4] - 2020-11-19
### Added
- Support for APIVER7/8

## [5.1.3] - 2020-08-31
### Added
- Support for APIVER6

## [5.1.2] - 2020-06-23
### Fixed
- increase debian/changelog

## [5.1.1] - 2020-06-23
### Fixed
- Remove temporary resource after `vzdump` in case of backup via a snapshot.

## [5.1.0] - 2020-06-22
### Added
- Snapshot rollback to the last snapshot
- Backups via snapshots (i.e., snapshot support in `map_volume()`/`activate_volume()`)
